<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>htmlCanvas</title>
    <script src="OSC.js"></script>
    <style>
        #mycanvas, #myimg{
            width: 320px;
            height: 240px;
        }
    </style>
</head>
<body>
    <canvas id="mycanvas" ></canvas>
    <img id="myimg">
    <script>
        var canvas = O('mycanvas');
        context = canvas.getContext('2d');
        context.fillStyle = 'red';
        S(canvas).border = '3px solid black';
        context.beginPath();
        // context.moveTo(160, 120);
        context.arc(160, 120, 70, 0, Math.PI * 2, false);
        context.closePath();
        context.fill()
        S('myimg').border = '15px solid orange';
        O('myimg').src = canvas.toDataURL('image/jpeg', 1);
    </script>
</body>
</html>